Skip to main content
POST
/
api
/
v1
/
accounts
/
{account_id}
/
labels
Create a label
curl --request POST \
  --url https://app.omnivibe.com.br/api/v1/accounts/{account_id}/labels \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "title": "support",
  "description": "Conversations that need support follow-up",
  "color": "#1f93ff",
  "show_on_sidebar": true
}
'
{
  "id": 123,
  "title": "<string>",
  "description": "<string>",
  "color": "<string>",
  "show_on_sidebar": true
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
title
string

The label title

Example:

"support"

description
string

A short description for the label

Example:

"Conversations that need support follow-up"

color
string

Hex color code for the label

Example:

"#1f93ff"

show_on_sidebar
boolean

Whether the label should appear in the sidebar

Example:

true

Response

Success

id
number

The ID of the label

title
string

The title of the label

description
string

The description of the label

color
string

Hex color code for the label

show_on_sidebar
boolean

Whether the label should appear in the sidebar